### Method

# Gegl Bufferset_color_from_pixel

#### Declaration [src]

    void
    gegl_buffer_set_color_from_pixel (
      GeglBuffer* buffer,
      const GeglRectangle* rect,
      gconstpointer pixel,
      const Babl* pixel_format
    )

#### Description [src]

Sets the region covered by rect to the the provided pixel.

#### Parameters

`rect`

  Type: `GeglRectangle`

  A rectangular region to fill with a color.

  The data is owned by the caller of the method.

`pixel`

  Type: `gconstpointer`

  Pointer to the data of a single pixel.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`pixel_format`

  Type: `Babl`

  The babl format of the pixel, if missing - the soft format of dst.

  The data is owned by the caller of the method.